Name:       python-six
Version:    1.7.3
Release:    %mkrel 4
Summary:    Python 2 and 3 compatibility utilities
Group:      Development/Python
License:    MIT
URL:        http://pypi.python.org/pypi/six/
Source0:    http://pypi.python.org/packages/source/s/six/six-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: python-devel
# For use by selftests:
BuildRequires: python-test
BuildRequires: tkinter

%description
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%package -n python3-six
Summary: %{summary} / Python 3 library
BuildRequires: python3-devel
# For use by selftests:
BuildRequires: python3-test
BuildRequires: python3-pkg-resources
BuildRequires: tkinter3

%description -n python3-six
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%prep
%setup -q -n six-%{version}
cd ..
cp -fr six-%{version} python3
cd -

%build
%{__python} setup.py build
cd ../python3
%{__python3} setup.py build
cd -

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
cd ../python3
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
cd -

%check
py.test-%{pyver} -rfsxX test_six.py
cd ../python3
py.test-%{py3ver} -rfsxX test_six.py
cd -

%files
%doc LICENSE README documentation/index.rst
%{python_sitelib}/*

%files -n python3-six
%doc LICENSE README documentation/index.rst
%{python3_sitelib}/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-4.mga5
+ Revision: 744504
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.3-3.mga5
+ Revision: 727912
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-2.mga5
+ Revision: 688336
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 1.7.3-1.mga5
+ Revision: 674116
- update to 1.7.3

* Sat May 31 2014 pterjan <pterjan> 1.6.1-2.mga5
+ Revision: 629015
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 1.6.1-1.mga5
+ Revision: 610679
- forget to add file
- update to 1.6.1 to fix keystone client installation

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 544150
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.1-2.mga4
+ Revision: 499384
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 fwang <fwang> 1.4.1-1.mga4
+ Revision: 490201
- new version 1.4.1

* Sat Jun 08 2013 fwang <fwang> 1.3.0-2.mga4
+ Revision: 440593
- add more br
- build python3 flavour

* Sat Jun 08 2013 fwang <fwang> 1.3.0-1.mga4
+ Revision: 440426
- imported package python-six

